aboutsummaryrefslogtreecommitdiff
path: root/data/scripts/sync-logs
diff options
context:
space:
mode:
authorLibravatar Mubashshir <[email protected]>2023-09-17 20:30:08 +0600
committerLibravatar Mubashshir <[email protected]>2023-09-17 20:30:08 +0600
commitd68f074f0ae1fd29a452164988dce957ac18982f (patch)
treec8a72af589d54b5bad27c51941ef88ca3e8b218e /data/scripts/sync-logs
parent7ec0af389517c34eb6c81955de1f89f74e357c2b (diff)
downloadshopno-os-log-sync-d68f074f0ae1fd29a452164988dce957ac18982f.tar.gz
shopno-os-log-sync-d68f074f0ae1fd29a452164988dce957ac18982f.zip
scripts: Rename scripts
Signed-off-by: Mubashshir <[email protected]>
Diffstat (limited to '')
-rwxr-xr-xdata/scripts/sync-logs (renamed from data/scripts/log-sync)5
1 files changed, 3 insertions, 2 deletions
diff --git a/data/scripts/log-sync b/data/scripts/sync-logs
index 7459a7b..adbe1a0 100755
--- a/data/scripts/log-sync
+++ b/data/scripts/sync-logs
@@ -1,5 +1,5 @@
#!/bin/bash
-source "${BASH_ARGV0%/*}"/common.sh
+source "${BASH_ARGV0%/*}"/common
RAW_DATA_PATH="${XDG_CACHE_HOME:-$HOME/.cache}/Watcher"
enmac="$(getaddr "$(getiface "net/e")")"
@@ -27,7 +27,8 @@ else
get_logs daily_data '[0-9]{4}(-[0-9]{2}){2}' \
| while IFS=- read -r year month day; do
! [[ $(date --rfc-3339=date) == "$year-$month-$day" ]] || continue
- ! communicate "/whack/a/mole" user/daily "$wlmac" "$enmac" "$year" "$month" "$day" --silent --fail || continue
+ ! communicate "/whack/a/mole" user/daily "$wlmac" "$enmac" "$year" "$month" "$day" --silent --fail \
+ || continue
echo "Uploading log: $year-$month-$day" >&2
communicate "/puss/in/boots" user/daily "$wlmac" "$enmac" "$year" "$month" "$day" \